<?xml version="1.0" encoding="utf-8"?>
<navigation xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/nav_graph"
    app:startDestination="@id/fragment1">

    <fragment
        android:id="@+id/fragment1"
        android:name="com.example.androidexercise1.Fragment1"
        android:label="fragment_1"
        tools:layout="@layout/fragment_1" >
        <action
            android:id="@+id/action_fragment1_to_fragment2"
            app:destination="@id/fragment2" />
        <action
            android:id="@+id/action_fragment1_to_addFragment"
            app:destination="@id/addFragment" />
        <action
            android:id="@+id/action_fragment1_to_updateFragment2"
            app:destination="@id/updateFragment2" />
    </fragment>
    <fragment
        android:id="@+id/fragment2"
        android:name="com.example.androidexercise1.Fragment2"
        android:label="fragment_2"
        tools:layout="@layout/fragment_2" >
        <action
            android:id="@+id/action_fragment2_to_fragment1"
            app:destination="@id/fragment1" />
        <argument
            android:name="currentProject"
            app:argType="com.example.androidexercise1.data.Projects" />
    </fragment>
    <fragment
        android:id="@+id/addFragment"
        android:name="com.example.androidexercise1.AddFragment"
        android:label="fragment_add"
        tools:layout="@layout/fragment_add" >
        <action
            android:id="@+id/action_addFragment_to_fragment1"
            app:destination="@id/fragment1" />
    </fragment>
    <fragment
        android:id="@+id/updateFragment2"
        android:name="com.example.androidexercise1.UpdateFragment"
        android:label="fragment_update2"
        tools:layout="@layout/fragment_update2" >
        <argument
            android:name="currentProject"
            app:argType="com.example.androidexercise1.data.Projects" />
        <action
            android:id="@+id/action_updateFragment2_to_fragment1"
            app:destination="@id/fragment1" />
    </fragment>
</navigation>